unit WaveFormUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, MMSystem;

type
  TWaveForm = class(TForm)
    Bevel1: TBevel;
    Panel1: TPanel;
    ComboBox1: TComboBox;
    Panel2: TPanel;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
  private
  public
    function Execute(var Frequency:Cardinal;var Stereo,Bits16:Boolean):Boolean;
  end;

var
  WaveForm: TWaveForm;

implementation

{$R *.dfm}

{ TWaveForm }

function TWaveForm.Execute(var Frequency: Cardinal; var Stereo,
  Bits16: Boolean): Boolean;
var
  u:Boolean;
  v,c:Integer;
begin
  u:=False;
  Result:=False;
  repeat
    case ShowModal of
      mrOk:begin
        Val(ComboBox1.Text,v,c);
        if (c=0) and (v>=5000) and (v<=100000) then begin
          Frequency:=v;
          Stereo:=RadioGroup1.ItemIndex=1;
          Bits16:=RadioGroup2.ItemIndex=1;
          Result:=True;
          u:=True;
        end else
          MessageDlg('La frquence doit tre une valeur entire comprise entre 5000 et 100000.',mtError,[mbOk],0);
      end;
    else
      u:=True;
    end;
  until u;
end;

end.
